Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Channel

    java.lang.Object
      de.grogra.math.Channel

    public final class Channel

extends java.lang.Object

Field Summary
`static int` | `A`
`static int` | `B`
`static int` | `DPXDU`
`static int` | `DPXDV`
`static int` | `DPYDU`
`static int` | `DPYDV`
`static int` | `DPZDU`
`static int` | `DPZDV`
`static int` | `G`
`static int` | `IOR`
`static int` | `MAX_DERIVATIVE`
`static int` | `MIN_DERIVATIVE`
`static int` | `NX`
`static int` | `NY`
`static int` | `NZ`
`static int` | `PX`
`static int` | `PY`
`static int` | `PZ`
`static int` | `R`
`static int` | `U`
`static int` | `V`
`static int` | `W`
`static int` | `X`
`static int` | `Y`
`static int` | `Z`

Method Summary
`static Channel` | `get(int id)`
`static Channel` | `get(java.lang.String name)`
`static int` | `getCurrentChannelCount()`
`int` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final int A

See Also:
  Constant Field Values

### B

    public static final int B

See Also:
  Constant Field Values

### DPXDU

    public static final int DPXDU

See Also:
  Constant Field Values

### DPXDV

    public static final int DPXDV

See Also:
  Constant Field Values

### DPYDU

    public static final int DPYDU

See Also:
  Constant Field Values

### DPYDV

    public static final int DPYDV

See Also:
  Constant Field Values

### DPZDU

    public static final int DPZDU

See Also:
  Constant Field Values

### DPZDV

    public static final int DPZDV

See Also:
  Constant Field Values

### G

    public static final int G

See Also:
  Constant Field Values

### IOR

    public static final int IOR

See Also:
  Constant Field Values

### MAX_DERIVATIVE

    public static final int MAX_DERIVATIVE

See Also:
  Constant Field Values

### MIN_DERIVATIVE

    public static final int MIN_DERIVATIVE

See Also:
  Constant Field Values

### NX

    public static final int NX

See Also:
  Constant Field Values

### NY

    public static final int NY

See Also:
  Constant Field Values

### NZ

    public static final int NZ

See Also:
  Constant Field Values

### PX

    public static final int PX

See Also:
  Constant Field Values

### PY

    public static final int PY

See Also:
  Constant Field Values

### PZ

    public static final int PZ

See Also:
  Constant Field Values

### R

    public static final int R

See Also:
  Constant Field Values

### U

    public static final int U

See Also:
  Constant Field Values

### V

    public static final int V

See Also:
  Constant Field Values

### W

    public static final int W

See Also:
  Constant Field Values

### X

    public static final int X

See Also:
  Constant Field Values

### Y

    public static final int Y

See Also:
  Constant Field Values

### Z

    public static final int Z

See Also:
  Constant Field Values

Method Detail

### get

    public static Channel get(int id)

### get

    public static Channel get(java.lang.String name)

### getCurrentChannelCount

    public static int getCurrentChannelCount()

### getId

    public int getId()

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD